# ListViewComboBox

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (3.0.0.0)

* [Control](/api/v3.0/wisej.web/general/control.md)
  * [ListControl](/api/v3.0/wisej.web/lists-and-grids/listcontrol.md)
    * [ComboBox](/api/v3.0/wisej.web/lists-and-grids/combobox.md)
      * [UserComboBox](/api/v3.0/wisej.web/lists-and-grids/wisej.web.usercombobox.md)
        * [ListViewComboBox](/api/v3.0/wisej.web/lists-and-grids/wisej.web.listviewcombobox.md)

The TreeViewComboBox control represents a [UserComboBox](/api/v3.0/wisej.web/lists-and-grids/wisej.web.usercombobox.md) control with a [ListView](/api/v3.0/wisej.web/lists-and-grids/listview.md) as the drop down panel.

{% tabs %}
{% tab title="C#" %}

```csharp
public class ListViewComboBox : UserComboBox
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class ListViewComboBox
    Inherits UserComboBox
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/uCY6T77rh488FWHzpJ6P)ListViewComboBox()

Initializes a new ListViewComboBox control.

## Properties

### ![](/files/uCY6T77rh488FWHzpJ6P)Columns

[ColumnHeaderCollection](/api/v3.0/wisej.web/lists-and-grids/listview/wisej.web.listview.columnheadercollection.md): Returns the collection of all column headers that appear in the control.

### ![](/files/uCY6T77rh488FWHzpJ6P)ItemHeight

[Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32): If set, specifies a universal height for all [ListView](#listview) items.

### ![](/files/uCY6T77rh488FWHzpJ6P)Items

[ListViewItemCollection](/api/v3.0/wisej.web/lists-and-grids/listview/wisej.web.listview.listviewitemcollection.md): Returns a collection containing all items in the control.

### ![](/files/uCY6T77rh488FWHzpJ6P)LargeImageList

[ImageList](/api/v3.0/wisej.web/content/imagelist.md): Returns or sets the [ImageList](/api/v3.0/wisej.web/content/imagelist.md) to use to display the main icon in the [ListViewItem](/api/v3.0/wisej.web/lists-and-grids/listview/wisej.web.listviewitem.md) elements.

### ![](/files/uCY6T77rh488FWHzpJ6P)ListView

[ListView](/api/v3.0/wisej.web/lists-and-grids/listview.md): Returns the [ListView](/api/v3.0/wisej.web/lists-and-grids/listview.md) control associated with this [ListViewComboBox](/api/v3.0/wisej.web/lists-and-grids/wisej.web.listviewcombobox.md).

### ![](/files/uCY6T77rh488FWHzpJ6P)SelectedIndex

[Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32): Returns or sets the index of the currently selected item.

**Throws:**

* [ArgumentOutOfRangeException](https://docs.microsoft.com/en-us/dotnet/api/system.argumentoutofrangeexception) The specified index is less than -1; o the specified index is greater than the number of items in the combo box.

### ![](/files/uCY6T77rh488FWHzpJ6P)SelectedItem

[ListViewItem](/api/v3.0/wisej.web/lists-and-grids/listview/wisej.web.listviewitem.md): Returns or sets the selected item in the drop down [ListView](/api/v3.0/wisej.web/lists-and-grids/listview.md) control.

### ![](/files/uCY6T77rh488FWHzpJ6P)SmallImageList

[ImageList](/api/v3.0/wisej.web/content/imagelist.md): Returns or sets the [ImageList](/api/v3.0/wisej.web/content/imagelist.md) to use to display the main icon in the [ListViewItem](/api/v3.0/wisej.web/lists-and-grids/listview/wisej.web.listviewitem.md) elements.

### ![](/files/uCY6T77rh488FWHzpJ6P)Text

[String](https://docs.microsoft.com/en-us/dotnet/api/system.string): Returns or sets the text associated with this control.

### ![](/files/uCY6T77rh488FWHzpJ6P)View

[View](/api/v3.0/wisej.web/lists-and-grids/listview/wisej.web.view.md): Returns or sets how items are displayed in the control.

## Implements

| Name                                                                                   | Description                                                                                                                                                                                                                                               |
| -------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [IBindableComponent](/api/v3.0/wisej.web/data-binding/wisej.web.ibindablecomponent.md) | Bindable components implement this interface.                                                                                                                                                                                                             |
| [ILabel](/api/v3.0/wisej.web/interfaces/wisej.web.ilabel.md)                           | Provides access to the [LabelWrapper](/api/v3.0/wisej.web/editors/wisej.web.labelwrapper.md) associated with the controls that implement this interface.                                                                                                  |
| [IReadOnly](/api/v3.0/wisej.web/interfaces/wisej.web.ireadonly.md)                     | Provides access to the [ReadOnly](/api/v3.0/wisej.web/interfaces/wisej.web.ireadonly.md#readonly) property for coontrols that support the read-only mode.                                                                                                 |
| [IModified](/api/v3.0/wisej.web/interfaces/wisej.web.imodified.md)                     | Provides access to the [Modified](/api/v3.0/wisej.web/interfaces/wisej.web.imodified.md#modified) property and [ModifiedChanged](/api/v3.0/wisej.web/interfaces/wisej.web.imodified.md#modifiedchanged) event for controls that implement this interface. |
| [IWisejComponent](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejcomponent.md)       | All wisej components implement this interface.                                                                                                                                                                                                            |
| [IWisejControl](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejcontrol.md)           | All wisej controls derived from the [Control](/api/v3.0/wisej.web/general/control.md) class must implement this interface.                                                                                                                                |
| [IWisejSerializable](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejserializable.md) | Allows an object to serialize itself.                                                                                                                                                                                                                     |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/v3.0/wisej.web/lists-and-grids/wisej.web.listviewcombobox.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
